From 3731c2da347dfffef34209fd779e67738b34ec88 Mon Sep 17 00:00:00 2001
From: Alon Bar-Lev <alon.barlev@gmail.com>
Date: Tue, 24 Jul 2018 22:58:34 +0300
Subject: [PATCH] bsd support

---
 Makefile | 14 +++++++-------
 1 file changed, 7 insertions(+), 7 deletions(-)

diff --git a/Makefile b/Makefile
index 8855b49..5526cbf 100644
--- a/Makefile
+++ b/Makefile
@@ -20,11 +20,11 @@ all compile: datefudge datefudge.so datefudge.1
 
 install: datefudge datefudge.so datefudge.1
 	install -d $(DESTDIR)$(libdir)/$(libarch)/datefudge
-	$(INSTALL_PROGRAM) -o root -g root -m 644 datefudge.so $(DESTDIR)$(libdir)/$(libarch)/datefudge/datefudge.so
+	$(INSTALL_PROGRAM) -o root -g wheel -m 644 datefudge.so $(DESTDIR)$(libdir)/$(libarch)/datefudge/datefudge.so
 	install -d $(DESTDIR)$(bindir)
-	$(INSTALL_PROGRAM) -o root -g root -m 755 datefudge $(DESTDIR)$(bindir)
+	$(INSTALL_PROGRAM) -o root -g wheel -m 755 datefudge $(DESTDIR)$(bindir)
 	install -d $(DESTDIR)$(mandir)/man1
-	install -o root -g root -m 644 datefudge.1 $(DESTDIR)$(mandir)/man1
+	install -o root -g wheel -m 644 datefudge.1 $(DESTDIR)$(mandir)/man1
 
 datefudge: datefudge.sh
 datefudge.1: datefudge.man
@@ -34,7 +34,7 @@ datefudge datefudge.1:
 	< $< > $@
 
 datefudge.so: datefudge.o
-	$(CC) $(LDFLAGS) -o $@ -shared $< -ldl -lc
+	$(CC) $(LDFLAGS) -o $@ -shared $< -lc
 
 datefudge.o: datefudge.c
 	$(CC) $(CPPFLAGS) $(CFLAGS) -c -o $@ $<
@@ -48,8 +48,8 @@ test: compile
 	export TZ=UTC								 ;\
 	ret1=1; ret2=1                                                           ;\
 	for i in 1 2; do                                                         \
-	        export DATEFUDGE=`LC_ALL=C date --date='yesterday 0:00'  +%s`   ;\
-	        dt=`LC_ALL=C LD_PRELOAD=$(CURDIR)/datefudge.so date --date=12:15 +%F.%T` ;\
+	        export DATEFUDGE=`LC_ALL=C date -v-1d -v0H -v0M +%s`   ;\
+	        dt=`LC_ALL=C LD_PRELOAD=$(CURDIR)/datefudge.so date -v12H -v15M +%F.%T` ;\
 	        exp="1970-01-02.12:15:00"                                       ;\
 	        [ "$$dt" != "$$exp" ] || { echo "OK"; ret1=0; break; }          ;\
 	        echo "failed: expected: $$exp, actual: $$dt"                    ;\
@@ -58,7 +58,7 @@ test: compile
 	echo -n "Running a simple perl localtime() test... "                    ;\
 	pscr='@t=localtime(time);$$t[5]+=1900;$$t[4]++;printf "%04d-%02d-%02d\n",$$t[5],$$t[4],$$t[3];';\
 	for i in 1 2; do                                                         \
-	        export DATEFUDGE=`LC_ALL=C date --date='yesterday 0:00'  +%s`   ;\
+	        export DATEFUDGE=`LC_ALL=C date -v-1d -v0H -v0M +%s`   ;\
 	        dt=`LD_PRELOAD=$(CURDIR)/datefudge.so perl -e "$$pscr"`         ;\
 	        exp="1970-01-02"                                                ;\
 	        [ "$$dt" != "$$exp" ] || { echo "OK"; ret2=0; break; }          ;\
-- 
2.16.4

